#include <string.h>
#include "deftype.h"

unchar *dir_name2(unchar *dir,unchar *name)
{
unint len;
unchar c;
	if (dir[0]!=0) {
		len=strlen(dir);
		c=dir[len-1];
		if (c!='\\' && c!=':') strcat(dir,"\\");
	}
	return(strcat(dir,name));
}

#if 0
void main()
{
unchar dir[96];
	strcat(dir,"a:\\");
	printf("%s\n",dir_name2(dir,"*.*"));
}
#endif
